// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /baseLoginLog */
export async function update5(body: API.DefLoginLogUpdateVO, options?: { [key: string]: any }) {
  return request<API.RDefLoginLog>(`/base/baseLoginLog`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /baseLoginLog */
export async function save5(body: API.DefLoginLogSaveVO, options?: { [key: string]: any }) {
  return request<API.RDefLoginLog>(`/base/baseLoginLog`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /baseLoginLog */
export async function delete6(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/base/baseLoginLog`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /baseLoginLog/${param0} */
export async function get6(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get6Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RDefLoginLogResultVO>(`/base/baseLoginLog/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 此处后端没有提供注释 POST /baseLoginLog/anyone/page */
export async function anyOnePage(
  body: API.PageParamsDefLoginLogPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageDefLoginLogResultVO>(`/base/baseLoginLog/anyone/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 清空日志 DELETE /baseLoginLog/clear */
export async function clear1(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.clear1Params,
  options?: { [key: string]: any }
) {
  return request<API.RBoolean>(`/base/baseLoginLog/clear`, {
    method: 'DELETE',
    params: {
      // type has a default value: 1
      type: '1',
      ...params
    },
    ...(options || {})
  })
}

/** 复制 POST /baseLoginLog/copy */
export async function copy5(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy5Params,
  options?: { [key: string]: any }
) {
  return request<API.RDefLoginLog>(`/base/baseLoginLog/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /baseLoginLog/detail */
export async function getDetail6(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail6Params,
  options?: { [key: string]: any }
) {
  return request<API.RDefLoginLogResultVO>(`/base/baseLoginLog/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /baseLoginLog/findByIds */
export async function findByIds6(body: number[], options?: { [key: string]: any }) {
  return request<API.RListDefLoginLogResultVO>(`/base/baseLoginLog/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /baseLoginLog/page */
export async function page6(
  body: API.PageParamsDefLoginLogPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageDefLoginLogResultVO>(`/base/baseLoginLog/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /baseLoginLog/query */
export async function query6(body: API.DefLoginLogPageQuery, options?: { [key: string]: any }) {
  return request<API.RListDefLoginLogResultVO>(`/base/baseLoginLog/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
